### Method

# St IconInfo get_base_size

#### Declaration [src]

    int
    st_icon_info_get_base_size (
      StIconInfo* icon_info
    )

#### Description [src]

Gets the base size for the icon. The base size is a size for the icon that was specified by the icon theme creator. This may be different than the actual size of image; an example of this is small emblem icons that can be attached to a larger icon. These icons will be given the same base size as the larger icons to which they are attached.

Note that for scaled icons the base size does not include the base scale.

#### Return value

Type: `int`

The base size, or 0, if no base size is known for the icon.